\chapter{Introduction}
\begin{flushright}
	\emph{We should use in the following the principle of\\
		making things as easiest as possible,\\
		but not easier.}\\
	\textsc{A. Einstein} (attr.)
\end{flushright}


The Berry’s phase takes its name from a very influential paper by Michael Berry \cite{berry1984quantal}, circulated in 1983 although published in 1984\sidenote{There is actually a funny story behind the reason why the article was published in 1984 but people were already talking about it in 1983...}. 
Here we will use the name "Berry’s phase" to mean a geometric (or topological) phase in quantum mechanics, although analogous phases occur in other domains (e.g. in classical optics or classical mechanics). 
Berry realized that there is a very general phenomenon, leading to observable effects in several quite different physical cases. 
A few manifestations of what we now call a Berry’s phase were known of (and understood) before:
the Aharonov–Bohm (AB) \index{Aharonov-Bohm effect} effect \cite{aharonov1959significance,feynman1989feynman} dating from 1959\sidenote{The final experimental verification of the AB effects came in 1986 \cite{tonomura1986evidence}}, and the so-called molecular AB effect \cite{mead1992geometric} discovered even earlier \cite{longuet1958studies}.

%Since the first one appeared in 1983, a plethora of publications have dealt with the theory
%of geometric quantum phases and its applications in various fields. A very useful book [2]
%containing reprints and some original articles was published in 1989. Other useful publications
%of various kinds exist: general reviews [9, 10]; pedagogical and/or historical presentations for
%non-specialists [11–13]; and a guide to the published literature [14]. Furthermore, the concept
%of a Berry’s phase is even presented in some modern quantum mechanics textbooks [15–17].
%The Berry’s phase is almost ubiquitous in present-day physics: because of this,
%unavoidably the Berry’s phase means somewhat different things to different people. Here
%we narrow the focus to the geometric quantum phases of many-electron systems and their
%observable effects. Even after thus narrowing the focus, there remain several rather different
%fields and phenomena where the Berry’s phase plays a relevant role; therefore further selectivity
%is in order. The most notable omissions here concern the quantum Hall effect [18], and the
%physics of superfluids in general. In these areas, which are not covered by the present review,
%a large amount of work is related to geometric phases; some key references are [19] and [20].

\begin{table*}[htb]
	\scalebox{0.92}{%
		\begin{tabular}{lcllcc}
			\rowcolor{sGray} \textbf{Phase} & \begin{tabular}{c} \textbf{First} \\ \textbf{appearance} \end{tabular} & \begin{tabular}{c} \textbf{Mostly known in} \\\textbf{the following fields}\end{tabular} & \textbf{Parameter space} & \textbf{Topological} & \textbf{Adiabatic} \vspace{0.05cm} \\ 
			\addlinespace[0.05cm]
			\rowcolor{Gray} Pancharatnam & 1956 &  Optics &  Poincar\'e sphere & No & Yes \\
			\addlinespace[0.05cm]\rowcolor{lGray}Aharonov–Bohm & 1959 & Quantum electrodynamics  & Spacetime & Yes & No \\
			\addlinespace[0.05cm]\rowcolor{Gray}\begin{tabular}{@{}l@{}} Exchange statistics \\ (of Abelian anyons) \end{tabular} & \begin{tabular}{@{}c@{}}
				1977 \\ 1982 \\ 1984 
			\end{tabular} & Condensed matter & Real space & Yes & Yes \\
			\addlinespace[0.05cm]\rowcolor{lGray}Berry & 1983 & Quantum mechanics & General & No & Yes\\
			\addlinespace[0.05cm]\rowcolor{Gray}Aharonov-Casher & 1984 & Quantum electrodynamics & Real space & Yes & No\\
			\addlinespace[0.05cm]\rowcolor{lGray}Hannay angle & 1985 & Classical mechanics & Real space & No & Yes\\
			\addlinespace[0.05cm]\rowcolor{Gray}Aharonov-Anandan & 1987 & Quantum mechanics & General & Yes & No\\
			\addlinespace[0.05cm]\rowcolor{lGray}Zak & 1989 & Condensed matter & Momentum space & No & No\\
		\end{tabular}
		\label{tab:geom_phase}
	}
\end{table*}
%\restoregeometry
To add to the table: Samuel \& Bandhari (1988) and the Quantum 
Kinematic Approach by Mukunda \& Simon (1992).\sidenote{Already a lot of reviews are availbale in the literature covering the GP, the AB effect and the so called Molecular AB effect. A not complete list is: \cite{berry1993geometric,WittigAppendiceV,wittig2012geometric,resta2000manifestation,mead1992geometric,cohen2019geometric,zygelman2016molecular,bohm1992berry}. More pedagogical articles \cite{top-ins-3,garg2010berry} and books \cite{domcke2004conical,baer2002introduction,bohm2003geometric} are also available in the literature. We recall here also the book \cite{wilczek1989geometric} that is a reprint of all the relevant papers in the early studies of the Geometric Phase.}

\section{Derivation of the Geometric Phase}
We want to consider the time evolution of a quantum system via the Schr\"odinger equation:\sidenote{This introductory section follows essentially \cite{bohm1992berry}, \cite{bohm2013quantum}}
\begin{equation}\label{eq:Schrodinger_equation}
i\hbar\dfrac{d}{dt}\ket{\psi(t)} = \hat{h}(t)\ket{\psi(t)}
\end{equation}
The formal solution of this equation is given by the time evolution operator
\begin{align}
\ket{\psi(t)} = \hat{U}^{\dagger}(t)\ket{\psi(0)} \label{eq:time_evolution_operator}\\
\hat{U}^{\dagger}(t)=\mathcal{T}e^{-\frac{i}{\hbar}\int_{0}^{t}\hat{h}(t')\diff t'}
\end{align}
where $ \mathcal{T} $ denotes the usual time-ordering operator. \sidenote{$ \mathcal{T} $ is actually a pseudo- operator since there are no observables that corresponds to this operator} 
Let us consider two cases, the first case being when the Hamiltonian commutes at different times:
\begin{equation}
\left[\hat{h}(t), \hat{h}(t') \right] = 0.
\end{equation}
Then, $ \hat{h}(t) $ at all times $ t $ has the same complete set of normalized eigenvectors:
\begin{equation}
\hat{h}(t)\ket{n}=E_n\ket{n}.
\end{equation}

We can therefore expand every state vector $ \ket{\psi(t)} $ in a basis that is the same for all time:
\begin{equation}
\ket{\psi(t)} = \sum_n a_n(t)\ket{n}
\end{equation}
The Hamiltonian is given by the spectral resolution
\begin{equation}
\hat{h}(t) = \sum_n E_n(t)\ket{n}\bra{n}.
\end{equation}
The time-evolution operator of \eqref{eq:time_evolution_operator} is given by
\begin{equation}
\hat{U}^{\dagger}(t) = \sum_n e^{-\frac{i}{\hbar}\int_{0}^{t}E_n(t')\diff t'}\ket{n}\bra{n}.
\end{equation}
If we consider a state that is initially an eigenstate of the Hamiltonian:
\begin{equation}
\ket{\psi(0)} = \ket{m},
\end{equation}
we find
\begin{equation}
\ket{\psi(t)}=e^{-\frac{i}{\hbar}\int_{0}^{t}E_m(t')\diff t'}\ket{m}.
\end{equation}
This result is the standard time evolution of a stationary state. The phase factor is the usual dynamical phase.

\begin{marginfigure}
	\includegraphics{Im/Periodic_path}
	\caption[]{The geometric phase acquired is equivalent by the solid angle $ \Omega $ spanned by the wavefunction $ \lvert\psi(t)\rangle $ during his time evolution}
	\labfig{path}
\end{marginfigure}
\begin{marginfigure}
	\includegraphics{Im/projection}
	\caption[]{Projection of the state $ |R\rangle $ on the base space $ M $ through the map $ \pi: T_M \to M $.}
	\labfig{projection}
\end{marginfigure}

We now consider the second more general case, when the Hamiltonian does not commute at different times:
\begin{equation}
\left[\hat{h}(t), \hat{h}(t') \right] \neq 0.
\end{equation}
Now an eigenvector of $ \hat{h}(t) $ at time $ t $ is no longer an eigenvector of $ \hat{h}(t') $ at another
time $ t' $. However, for each time $ t $, there still exists a complete set of eigenvectors $ \ket{n(t)} $ such that
\begin{equation}
\hat{h}(t) = \sum_n E_n(t) \ket{n(t)}\bra{n(t)}
\end{equation}
Every vector $ \ket{n(t)} $ can be expanded with respect to this basis system:
\begin{equation}\label{eq:basis_expansion_wf}
\ket{\psi(t)} = \sum_n a_n(t)\ket{n(t)}.
\end{equation}
Substituting Eq. \eqref{eq:basis_expansion_wf} into Eq. \eqref{eq:Schrodinger_equation} and performing some calculations, we find
\begin{equation}
\dot{a}_m(t) = -a_m(t)\braket{m|\dot{m}}-\sum_{i\neq m}a_t(m)\braket{m|\dot{l}}-\dfrac{i}{\hbar}a_m(t)E_m(t).
\end{equation}
and
\begin{equation}
a_m(t)=e^{-\frac{i}{\hbar}\int_{0}^{t}E_m(t')\diff t'}
e^{-\int_{0}^{t}\braket{m(t')|\dot{m}(t')}\diff t'}
e^{-\sum_{i\neq m}\int_{0}^{t}a_l(t')/a_m(t')\braket{m|\dot{l}}\diff t' }
\end{equation}

Under the adiabatic approximation (to be discussed below), the off-diagonal
phase factor is negligible. The remaining phase factor consists of the dynamical
phase factor (first exponential) and the Berry's phase factor (second exponential).
We see that the Berry's phase factor arises from the time dependence of
the basis.
It can be shown that the off-diagonal phase contributions are negligible if the
following condition holds:
\begin{equation}
\dfrac{\braket{n(t)|\hat{h}(t)|m(t)}}{|E_m(t)-E_n(t)|^2} \ll 1
\label{eq:adiabatic_condition}
\end{equation}

\index{Adiabatic Theorem}
This inequality is called the adiabatic condition. By adiabatic evolution, we mean
that the Hamiltonian is changing slowly enough in time so that a state vector
that is initially an eigenvector $ \ket{m(0)} $ of $ \hat{h}(0) $ will evolve into the eigenvector $ \ket{m(t)} $ of $ \hat{h}(t) $ f h(t)f or all $ 0\le t\le T $ ; that is, the transition amplitudes $ \braket{n(t)|m(t)} $ (for all $ n\neq m $) are extremely small over the time scale of interest. We will restrict our attention to adiabatic evolution [we assume that Eq. \eqref{eq:adiabatic_condition} holds].

We will define
\begin{equation}
\gamma_m(T) = \int_0^T \braket{m(t)|\dot{m}(t')}\diff t,
\end{equation}
which is called the \emph{Berry phase}\sidenote{as shown in the original seminal paper of Michael V. Berry \cite{berry1984quantal}}. The Berry phase factor becomes
\begin{equation}
e^{-\int_{0}^{T}\braket{m(t)|\dot{m}(t')}\diff t}= e^{i \gamma_m(T)}.
\end{equation}
We note that $ \gamma_m $ is real. This can be shown from the orthonormality of the basis vectors and the requirement for unitary evolution. If the Hamiltonian depends through parameters upon time, $ \hat{\textbf{x}(t)} $, and the parameters are periodic [i.e., $ \textbf{x}(T)=\textbf{x}(0) $], then we can write \sidenote[][0.7cm]{We will denote by $ x^i $ the \emph{contravariant} component of the vector $ \textbf{x} $. Conversely $ x_i $ will denote the \emph{covariant} component.}
\begin{equation}
\gamma_m(\mathcal{C})=\oint_{\mathcal{C}}\braket{m;\textbf{x}|\dfrac{\partial}{\partial x^i}|m;\textbf{x}}\diff x^i, 
\end{equation}
This expresses the phase as a path integral along the closed path $ \mathcal{C} $ traced by the $ x'(t) $. We can define a one-form (Berry connection):
\begin{equation}\label{eq:vector_potential}
\tilde{A}_m = \braket{m;\textbf{x}|\dfrac{\partial}{\partial x^i}|m;\textbf{x}}\diff x^i
\end{equation}
and a two-form (Berry curvature):\index{Berry curvature}
\begin{equation}
\tilde{F}_m=\diff \tilde{A}_m=i\left(\dfrac{\partial}{\partial x^j}\bra{m;\textbf{x}} \right)\left(\dfrac{\partial}{\partial x^i}\ket{m;\textbf{x}} \right)\diff x^j\wedge \diff x^i
\end{equation}
By using Stokes' theorem, we can write
\begin{equation}
\gamma_m(\mathcal{C})=\oint_{\mathcal{C}}\tilde{A}_m = \int_S \tilde{F}_m,
\end{equation}
where $ S $ is the two-dimensional surface enclosed by $ C $. The two-form $ 5 $ is the curvature two-form for the parameter space. In the special case of a 3-dimensional parameter space, we can map the one-form $ \tilde{A} $ to an equivalent vector potential $ \textbf{A} $ and the two-form $ \tilde{F} $ to a vector $ \textbf{F} $, which is the curl of $ \textbf{A} $. In this
case, the above becomes
\begin{equation}
\gamma_m(\mathcal{C})=i\int_{S}\nabla\times\braket{m;\textbf{x}|(\nabla|m;\textbf{x}})\cdot\diff \textbf{S}, 
\end{equation}
where
\begin{equation}
\textbf{A} = i\braket{m;\textbf{x}|(\nabla|m;\textbf{x}})
\end{equation}
which expresses the Berry phase as the flux of an effective\sidenote{Sometimes also referred as "synthetic"} field $ \textbf{F} $ through the surface $ S $.

We note that under a gauge transformation
\begin{equation}
\ket{m;\textbf{x}}\to e^{i\phi(x)}\ket{m;\textbf{x}},
\end{equation}
where $ \phi(x)) $ is a real function that satisfies $ \phi(\textbf{x}(T)) = \phi(\textbf{x}(0)) + 2\pi n $ ($ n $ is an integer),
the one-form $ \tilde{A} $ transforms as
\begin{equation}
\tilde{A}\to\tilde{A}-\dfrac{\partial\phi}{\partial x^i}\diff x^i.
\end{equation}
The Berry phase angle becomes
\begin{equation}
\oint_{\mathcal{C}}\tilde{A}\to \oint_{\mathcal{C}}\tilde{A}-2\pi n
\end{equation}
and we see that the Berry phase factor is invariant:
\begin{equation}
e ^{\oint_{\mathcal{C}}\tilde{A}}\to e^{i\oint_{\mathcal{C}}\tilde{A}}e^{-2i\pi n }
\end{equation}
The Berry phase factor is geometrical in nature. It arises from the nontrivial
geometry of the parameter space and cannot, in general, be gauged away.
An example for the experimental measurement of Berry’s phase is the following\sidenote{for a fairly more detailed discussion about the emergence of the GP in physics, please refer to Section \ref{sec:GP_in_Phys}}:
Consider a slowly precessing magnetic field of constant magnitude and a
neutron whose spin axis coincides with its magnetic moment. Split a beam of neutrons into two paths. Let one path go through the precessing magnetic field $ \textbf{B}(t) $. Take the other path around the field. Recombine the beams, and observe the interference pattern. There will be a shift in the pattern due to Berry’s phase. It can be shown that Berry’s phase in this case is the flux of a monopoletype field through the surface on a sphere enclosed by the path traced by the precessing magnetic field $ \textbf{B}(t) $\sidenote{this is the case already Berry purposed in his already cited paper \cite{berry1984quantal}}. Many experiments have been performed such as polarization measurements of a neutron beam traversing a precessing magnetic field, polarization measurements of light in optical fibers , \textsc{nmr} interferometry and others.

\section{Geometric Phases in Physics}
\label{sec:GP_in_Phys}

\marginnote{Check the book \cite{wilczek1989geometric}}

The geometric phase had been ignored in quantum physics for more than
half a century. It had not been forgotten, but was thought to be unimportant.
In 1928, Fock \cite{fock1928beziehung} showed that such a phase could be set to unity by a redefinition of the phase of the initial wave function. 
Although Fock's proof was limited to non-cyclic evolutions only, his conclusion was generally accepted
until around 1980 when Mead and Truhlar \cite{mead1979determination} and Berry \cite{berry1984quantal} reconsidered cyclic evolutions.
A cyclic evolution is an evolution in which the initial quantum state evolves periodically in time. For a pure cyclic state, this means that the state operator returns to the initial operator after each period while the corresponding state vector evolves into a vector which agrees with the initial vector only up to a phase factor. 
This phase factor contains, in addition to the usual dynamical phase, a purely geometric part which does not depend on the duration of the evolution.
\begin{marginfigure}
	\includegraphics{Im/path_in_fiberbundle}
	\caption[]{Of course the above picture is wrong!}
	\labfig{}
\end{marginfigure}
Cyclic evolutions play an important role in the description of quantum systems in a periodically changing environment. 
The environment can be either classical such as a magnetic dipole in a precessing external magnetic field, or quantal such as an electron in the changing quantal environment of the collective motion of a molecule. \sidenote{Actually weather or not the geometric phase is a pure quantum or also classical feature is still under debate and there seems to be a not unique convergence point. In these regards, look a at \cite{WittigAppendiceV,horsley2007canonical,berry1993geometric}. In particular, it is worth noticing a recently published remarkable paper \cite{yang2019synthesis} appeared in the field of topological optics where the authors claimed to have experimentally synthesized a "non-Abelian gauge fields in real space and the observation of the non-Abelian Aharonov-Bohm effect with classical waves and classical fluxes" .}
In 1956 Pancharatnam \cite{pancharatnam1956generalized} discovered an analog of the quantum geometric phase in polarization optics. 
Three years later Y. Aharonov and D. Bohm published their findings on the significance of the electromagnetic vector potential in quantum mechanics \cite{aharonov1959significance}. 
They showed how the presence of a vector potential that did not produce an electric or magnetic field in the configuration space of free electrons could influence their interference pattern. 
The change in the interference pattern is due to the so-called Aharonov-Bohm phases which are special examples of the geometric phase. 
The Aharonov-Bohm phases received much attention in the 1960s, but it was not until the 1980s that the importance of the geometric phase was fully recognized.
The geometric phase in molecular systems appeared first in an implicit manner in the study of the $ E \otimes e $ Jahn-Teller problem by Longuet-Higgins et al. \cite{longuet1958studies} and by Herzberg and Longuet-Higgins \cite{herzberg1963intersection}. 
They noticed that an electronic wave function that \emph{could be taken as real}\sidenote{Epistemologically there's no need of confining ourselves to real electronic wavefunction. Most likely, the biggest part of problems are coming from this assumption.} in all nuclear configurations behaved as a double-valued function that changed sign when the nuclear coordinates traversed a loop encircling a crossing point of the energy levels (potential energy surfaces) in the nuclear coordinate space.
The first concrete derivation of a geometric phase and the corresponding gauge potential was carried out in 1978 by Mead and Truhlar \cite{mead1979determination}. 
They considered the chemical reaction $ H + H_2 \to H_2 + H $, which could be viewed as a wave packet motion from one minimum of the potential energy surface of the $ H_3 $ system to another. 
$ H_3 $ is an example of an $ E \otimes e $ Jahn-Teller system, and the electronic wave function undergoes the sign changes found by Longuet-Higgins and his collaborators. \sidenote{Being that simple, the chemical reaction $ H + H_2 \to H_2 + H $ or also $ HD+D\to HD+D $ created a big pletora of research papers \cite{levi1993geometric,kendrick2003geometric,croft2017symmetry,kendrick2018non,kendrick2019geometric,kendrick2003quantum,kendrick2001quantum,kendrick1996geometric,kendrick2000geometric}}
Mead and Truhlar argued that the double-valuedness of the wave function caused by these sign changes could be avoided by including a vector potential in the electronic Hamiltonian.
This amounts to an improvement of the standard molecular Born-Oppenheimer approximation. 
The latter is based on the observation that one can divide the motion of the constituents of a molecule into two "parts": the \emph{fast motion} of the electrons and the \emph{slow} collective rotations and vibrations of the molecule as a whole. \sidenote{We will notice how the GP is emerging in every field in which the system can be splitted in a fast and slow part in which the "fast" part is dependent on the "slow" part. The GP is in this way naturally emerging as a spurious compensation from splitting of the system; the splitting needs to be balance by the creation of a gauge field and the GP is exactly the integral of the gauge potential in the fiber boundle.}
One first investigates the dynamics of the fast variables while keeping the slow variables fixed, and then determines the dynamics of the slow variables. 
This means that in the Born-Oppenheimer approximation one treats the fast and the slow motions as two separate parts that do not influence each other. 
If, on the other hand, one does not consider the nuclear coordinates as fixed parameters but as quantum observables whose values change slowly in time, then the gauge potential underlying the geometric phase emerges naturally from the Born-Oppenheimer method.
Conceptually simpler than the gauge theory of the Born-Oppenheimer method is the investigation of quantum systems whose Hamiltonian depends on a set of slowly changing parameters. 
This was carried out in 1984 in a beautiful paper by Berry \cite{berry1984quantal} who considered quite general quantum systems in a slowly changing classical environment. 
In this paper Berry derived the same gauge potential and the geometric phase that Mead and Truhlar had obtained from the Born-Oppenheimer method for the molecule. 
\begin{marginfigure}
	\includegraphics{Im/gauge}
	\caption[]{Gauge freedom on the base space needs to be compensated on the fiber bundle and the two are complementarely dependent.}
	\labfig{}
\end{marginfigure}
He further showed that indeed the celebrated Aharonov-Bohm phase was a special case of a geometric phase.
Berry's derivation of the adiabatic geometric phase - also known as the Berry phase - made use of the quantum adiabatic approximation which was only relevant for slowly changing Hamiltonians. 
However, it is easy to show that for a Hamiltonian with changing eigenvectors the adiabatic approximation of the dynamics of a cyclic evolution cannot be exact. 
Therefore Berry's phase could only be an approximation of the true quantum geometric phase.
The latter was introduced for general unitary cyclic evolutions by Aharonov and Anandan in 1987 \cite{aharonov1987phase} and subsequently generalized to arbitrary (not necessarily unitary or cyclic) evolutions by Samuel and Bhandari \cite{samuel1988general}.
Soon after the publication of Berry's paper, a number of experiments were
performed to observe geometric phases. Among these are the nuclear magnetic resonance experiment by Suter et al. [239] and the nuclear quadrupole
resonance experiment by Tycko [254]. A manifestation of the geometric phase
in polarization optics was also observed in an experiment by Tomita and
Chiao [250]. Today, there are many publications on various experimental
studies of geometric phases in molecular physics. In particular, the geometric
phase effect in the $ E\otimes e $ problem was recently verified in a very convincing
way by high-resolution spectroscopy of $ Na_3 $ and $ Li_3 $ [122,259].

\paragraph{Condensed Matter Systems}
Geometric phases also play an important role in the study of condensed
matter systems. One of the earliest results in this direction is due to Zak [281]
who noticed that certain non-integrable phases of the Bloch wave function
could be identified as a geometric phase. This was later related to the polarization of crystal insulators [124] and used to develop a practical method of
calculating piezoelectric and ferroelectric properties [219]. Geometric phases
in Bloch waves can also affect the semiclassical dynamics of electrons in metals
and semiconductors [141,237] and have important applications in the theory
of the anomalous Hall effect [119]. More spectacularly, the quantized Hall conductance discovered in two-dimensional electron systems can be identified as a manifestation of certain geometric phases [23,201,247]. Adiabatic particle
transport in Bloch bands and mesoscopic systems [245] may be most directly
understood in terms of geometric phases as well. Some other applications of
the geometric phase in condensed matter physics include a first-principles
calculation of spin waves [198,202], the dynamics of quantized vortices [249],
and fractional statistics [18].

\paragraph{Optics} The main advances in the field of optics and Quantum Computing is essentially gicen by the realization of the “non-Abelian Aharonov–Bohm effect”.\sidenote{With improvements, their techniques could find use in optoelectronics and fault-tolerant quantum computers.}\url{https://physicsworld.com/a/non-abelian-aharonov-bohm-experiment-done-at-long-last/}

\paragraph{Quantum Computing}


\paragraph{Chemical reactions}
\cite{kendrick2003geometric,levi1993geometric,kendrick2019geometric}

\paragraph{High Energy and Particle Physics}
\cite{wilson1974confinement,aitchison2012gauge,SONODA1986410}

\paragraph{Gravity and Cosmology}
\cite{dowker1967gravitational,Ford1981gravitational,Datta1993Geometric}



The fact that the geometric phase has important observable consequences
in many areas of physics and chemistry is not the only reason why it has attracted so much attention. The geometric phase is also one of the most beautiful examples of what Wigner once called "the unreasonable effectiveness of
mathematics in the natural sciences."
Immediately after Berry's introduction of the adiabatic geometric phase,
Simon [230] noticed that it could be interpreted as the holonomy of a fiber
bundle and that Berry's gauge potential played the role of a connection on this
fiber bundle. It was this relation to the beautiful mathematics of fiber bundles
that caused the geometric phase to become a fashion in mathematical physics.
When the theory of fiber bundles was established and when the mathematics
of the universal classifying bundles and connections was developed, no one
could imagine that these would be directly related to a quantum mechanical
phase factor which could be measured in sayan interference experiment. The
universal connection is the "natural" mathematical object which classifies the
geometric structures on arbitrary (finite-dimensional) principal fiber bundles.
It is incredible that this mathematical entity is exactly the gauge potential
whose integral over a closed path of states gives the Aharonov-Anandan
phase with Berry's gauge potential as its limiting case [44,184], and that this
connection is related to Mead's vector potential which was discovered in the
study of molecular structure.
% --------------------------------------------------------------------------------

\section{The Appearance of Vector Potentials in Molecules}
In the analysis of complicated quantum systems such as molecules, the N-body
Schr\"odinger equation with the Hamiltonian
\begin{equation}
H = \hat{T}_{nuclei}+\hat{T}_{elec}+\hat{U}_{nuc-nuc}+\hat{U}_{elec-elec}+\hat{U}_{nuc-elec}
\end{equation}
is usually much too complicated to deal with. Instead, one looks at the types of motion, namely, the slow motion of the nuclei and the fast motion of the electrons.
We will see that the coupling between the motion of the fast electrons and slow nuclei provide a physical realization of the connection form $ \tilde{A} $ (or vector potential \textbf{A}).
In the following analysis, we will consider the simplest molecule: the diatomic molecule\sidenote{this minimalistic case study is enough for introducing all the issues and mathamtical objects necessary for describing properly the GP in molecular physics}. 
The slow nuclear motion will consist of rotations and vibrations along the internuclear axis. 
We will consider only the internal motion, not the
center of mass motion. The Hamiltonian for the system can be written as
\begin{equation}\label{eq:molecular_hamiltonian}
H = \dfrac{\hat{\textbf{P}}^2}{2\mu}+\dfrac{\hat{\textbf{p}}^2}{2m}+V(\hat{\textbf{X}},\hat{\textbf{r}})
\end{equation}
where $ \hat{\textbf{P}} $ and $ \hat{\textbf{X}} $ denote the slow relative momentum and position operators of the
two nuclei and the $ \hat{\textbf{p}} $ and $ \hat{\textbf{r}} $ stand for all the fast momentum and position operators
of the electrons. The potential $ \hat{V(\textbf{X}}, \hat{\textbf{r}}) $ is a complicated function of $ \hat{\textbf{X}} $ and $ \hat{\textbf{r}} $ and other observables like the spin (which we will write down only when needed).
We split the Hamiltonian into slow and fast parts:
\begin{align}
\hat{H}&= \dfrac{\hat{\textbf{P}}^2}{2\mu}+\hat{h}(\hat{\textbf{X}}) \\
\hat{h}(\textbf{X})&= \dfrac{\hat{\textbf{p}}^2}{2m}+V(\hat{\textbf{X}},\hat{\textbf{r}})
\end{align}
where $ \hat{h}(\hat{\textbf{X}}) $ denotes the fast Hamiltonian that depends upon the slow operator $ \textbf{X} $.
The total Hilbert space is factored into two spaces:
\begin{equation}
\mathcal{H}= \mathcal{H}^{\text{slow}}\otimes\mathcal{H}^{\text{fast}}
\end{equation}
From the commutation relations
\begin{align}
\left[\hat{X}, \hat{r}_i \right] = 0, \\
\left[\hat{X}, \hat{h}(\hat{\textbf{X}}) \right] = 0,
\end{align}
we have the following sets of basis vectors:
\begin{subequations}
	\begin{align}
	\ket{\textbf{x},\textbf{r},\dots},\label{eq:extended_basis_set_xr}\\
	\ket{\textbf{x},\dots,n}, \label{eq:extended_basis_set}
	\end{align}
\end{subequations}
where
\begin{subequations}
	\begin{align}
	\hat{X}\ket{\textbf{x},n}&= x_i\ket{\textbf{x},n}\\
	\hat{h}(\hat{\textbf{X}})\ket{\textbf{x},n} &= \varepsilon_n(\textbf{x})\ket{\textbf{x},n}\label{eq:9}.
	\end{align}
\end{subequations}
The $ \ket{\textbf{x},\textbf{r},\dots} $ are the eigenvectors of the positions $ \hat{\textbf{X}} $ and $ \hat{\textbf{r}} $, and \dots stands for additional quantum numbers. The label $ n $ stands for a set of electronic quantum numbers all or part of which label the electronic energy value $ \varepsilon_n $. 
There may also be additional nuclear quantum numbers indicated by the \dots in \eqref{eq:extended_basis_set}. We can expand $ \ket{\textbf{x},n} $ with respect to the basis system $ \ket{\textbf{x},\textbf{r}} $:
\begin{subequations}
	\begin{align}
	\ket{\textbf{x},n} = \int\diff^3x'\int\diff^3r' \ket{\textbf{x'},\textbf{r'}}\bra{\textbf{x'},\textbf{r'}}  \ket{\textbf{x},n} \label{eq:xn_decomposition}\\
	\bra{\textbf{x'},\textbf{r'}}  \ket{\textbf{x},n} = \delta^3(\textbf{x'}-\textbf{x})\braket{\textbf{r'}|n}_x. \label{eq:orthonomrality_basis}
	\end{align}
\end{subequations}

For the sake of simplicity, we omit all additional quantum numbers that are not
of immediate relevance. If they are included, \eqref{eq:xn_decomposition} will contain additional sums
or integrals and  will also contain additional quantum numbers.

Let us first review the “old” Born-Oppenheimer procedure. In this procedure,
one considers the slow parameter \textbf{x} as being fixed. Under this assumption, $ \hat{\textbf{X}} $ is
the fixed number \textbf{x} that commutes with $ \hat{\textbf{P}} $. Therefore, $ \hat{H} $ commutes with $ \hat{h}(x) $, allowing them to be simultaneously diagonalized:
\begin{subequations}
	\begin{align}
	\hat{h}(\textbf{x})\ket{N,n;\textbf{x}}=\varepsilon_n(\textbf{x})\ket{N,n;\textbf{x}}\\
	\hat{H}\ket{N,n;\textbf{x}}=E_{N,n}\ket{N,n;\textbf{x}}\label{eq:time_indipendent_SE},
	\end{align}
\end{subequations}
where
\begin{equation}
\ket{N,n;\textbf{x}}=\ket{N}\otimes\ket{n;\textbf{x}}
\end{equation}
This splitting says that $ \ket{N} $ is a basis system of the slow space $ \mathcal{H}^{slow} $ and $ \ket{n;\textbf{x}} $ is a basis system of the fast space $ \mathcal{H}^{fast} $.
The vectors $ \ket{n;\textbf{x}} $ are defined through their matrix elements $ \braket{\textbf{r}|n;\textbf{x}}\equiv\braket{\textbf{r}|n}_x $, and, in general, depend upon the parameters \textbf{x} like the reduced matrix elements $ \braket{\textbf{r}|n}_x $.

We can expand these basis vectors in terms of those in Eq. \eqref{eq:extended_basis_set}:
\begin{equation}\label{eq:Nnx_basis_expansion}
\ket{N,n;\textbf{x}}=\int\diff^3x' \ket{\textbf{x'},n}\bra{\textbf{x'},n} \ket{N,n;\textbf{x}} 
\end{equation}
In this expansion, $ n $ is a fixed number and \eqref{eq:Nnx_basis_expansion} is restricted to the $ n $th electronic
state. The wave function
\begin{equation}\label{eq:nuclear_wf}
\psi_{N,n}(\textbf{x},\textbf{r})=\braket{\textbf{x},\textbf{r}|N,n;\textbf{x}}
\end{equation}
is according to Eqs. \eqref{eq:orthonomrality_basis} and \eqref{eq:Nnx_basis_expansion} given by
\begin{equation}
\psi_{N,n}(\textbf{x},\textbf{r})=\braket{\textbf{x}|n}_x\braket{\textbf{x},n|N,n;\textbf{x}}
\end{equation}
We define
\begin{equation}
\phi_n(\textbf{x},\textbf{r}):=\braket{\textbf{r}|n}_x\equiv\braket{\textbf{r}|n;\textbf{x}}
\end{equation}
which is the electronic wave function (wave function of the fast motion) for a
given value of the parameter \textbf{x}. We also define
\begin{equation}\label{eq:BO_wavefunction}
\Phi_n^N(\textbf{x}):=\braket{\textbf{x},n|N,n;\textbf{x}}
\end{equation}
which is the wave function of the slow motion for a given value of the electronic
quantum number $ n $. Thus, the total wave function is written as the product of
these two wave functions:
\begin{equation}
\psi_{N,n}(\textbf{x},\textbf{r})=\phi_n(\textbf{x},\textbf{r})\Phi_n^N(\textbf{x})
\end{equation}
The (time-independent) Schr\"odinger equation
\begin{equation}\label{eq:modified_SE}
\braket{\textbf{x},\textbf{r}|\hat{H}|N,n;\textbf{x}}=E_{N,n}\braket{\textbf{x},\textbf{r}|N,n;\textbf{x}}
\end{equation}
is another form of the eigenvalue Eq. \eqref{eq:time_indipendent_SE}. Substitution of Eq. \eqref{eq:molecular_hamiltonian} into Eq. \eqref{eq:modified_SE}
and using Eqs.\eqref{eq:nuclear_wf} and \eqref{eq:BO_wavefunction} leads to
\begin{equation}\label{eq:molecular_SE}
\left[-\dfrac{\nabla_x^2}{2\mu} +\hat{h}(\textbf{x}) \right] \phi_n(\textbf{x},\textbf{r})\Phi_n^N(\textbf{x})=E_{N,n}\psi_{N,n}(\textbf{x},\textbf{r})
\end{equation}
Under the assumption of the old Born-Oppenheimer approximation, \textbf{x} is a fixed
parameter in $ \phi_n(\textbf{x}, \textbf{r}) $. Therefore, the action of $ \nabla_x $ upon $ \phi_n(\textbf{x},\textbf{r}) $ on the 1.h.s. of \eqref{eq:molecular_SE}
can be neglected and $ \nabla_x $ acts only upon $ \Phi_n^N(\textbf{x}) $. Equation \eqref{eq:molecular_SE} then splits into two equations:
\begin{equation}\label{eq:electronic_eq}
\left[-\dfrac{\nabla_r^2}{2m} +V(\textbf{x},\textbf{r}) \right] \phi_n(\textbf{x},\textbf{r})=\varepsilon_n\phi_n(\textbf{x},\textbf{r})
\end{equation}
and
\begin{equation}\label{eq:nuclear_eq}
\left[-\dfrac{\nabla_x^2}{2\mu} +\varepsilon_n(\textbf{x}) \right] \Phi_n^N(\textbf{x})=E_{N,n}\Phi_n^N(\textbf{x})
\end{equation}
Equation \eqref{eq:electronic_eq} is solved for each fixed value of \textbf{x}. After the energy values $ \varepsilon_n(\textbf{x}) $
have been found for each fixed \textbf{x}, $ \varepsilon_n(\textbf{x}) $ is inserted into Eq. \eqref{eq:nuclear_eq} and treated as a potential function depending upon \textbf{x}. The function $ \varepsilon_n(\textbf{x}) $ is thus treated as a scalar potential in the Schrodinger equation for the slow (nuclear) motion. It is called an induced scalar potential. The energy values $ E_{N,n} $ for the given value of $ n $ are then found as the solutions of this Eq. \eqref{eq:nuclear_eq}. The quantum number $ N $ represents the slow-motion quantum numbers such as the rotational $ ( j ) $ and vibrational $ (\nu) $ quantum numbers.

We will now repeat the above procedure without the assumption that $ \textbf{x} $ is a
fixed parameter. In this case, $ \hat{\textbf{X}} $ no longer commutes with $ \hat{\textbf{P}} $ and we cannot simultaneously diagonalize the Hamiltonians $ \hat{H} $ and $ \hat{h} $ . We again consider the eigenvalue equation
\begin{equation}\label{eq:eigenvalue_problem}
\hat{H}\ket{\psi^E} = E\ket{\psi^E},
\end{equation}

which is the same as \eqref{eq:time_indipendent_SE} only that now $ \ket{\psi^E} $ need not correspond to only one
value of the electronic quantum number $ n $. We again expand the state vector $ \ket{\psi^E} $
in terms of the basis vectors [Eq. \eqref{eq:extended_basis_set}:
\begin{equation}\label{}
\ket{\psi^E} = \sum_n \int \ket{\textbf{x}',n}\bra{\textbf{x}',n}\ket{\psi^E}\diff^3\textbf{x}',
\end{equation}
where now we have to sum over all n, since now we do not assume that $ E $ is associated
with only one value of the electronic quantum numbers $ n $. Again, we define
the total wave function
\begin{equation}\label{eq:20}
\psi^E(\textbf{x},\textbf{r})=\braket{\textbf{x},\textbf{r}|\psi^E},
\end{equation}
Taking the scalar product of Eq. \eqref{eq:20} with the basis vectors $ \ket{\textbf{x},\textbf{r}} $ of \eqref{eq:extended_basis_set_xr} and using \eqref{eq:orthonomrality_basis} yields
\begin{equation}\label{eq:total_wavefunction}
\psi^E(\textbf{x},\textbf{r})=\sum_n \psi_n(\textbf{x},\textbf{r})\psi_{n}^E(\textbf{x})
\end{equation}
where
\begin{subequations}
	\begin{align}
	\phi_n(\textbf{x},\textbf{r})=\braket{\textbf{r},n}_x=\braket{\textbf{r}n;\textbf{x}}\\
	\psi_{n}^E(\textbf{x})=\braket{\textbf{x},n|\psi^E}\label{eq:21c},
	\end{align}
\end{subequations}
Again, we want to solve \eqref{eq:electronic_eq} in the form
\begin{equation}\label{eq:SE_modified_form}
\braket{\textbf{x},n|\dfrac{\hat{\textbf{P}}^2}{2\mu}+\hat{h}(\hat{\textbf{X}})|\psi^E}=\braket{\textbf{x},n|\psi^E}= E\psi_{n}^E(\textbf{x})
\end{equation}
We know from Eqs. \eqref{eq:9} and \eqref{eq:21c} that 
\begin{equation}\label{eq:23a}
\braket{\textbf{x},n|\hat{h}(\hat{\textbf{X}})|\psi^E}=\varepsilon_n(\textbf{x})\psi_{n}^E(\textbf{x}).
\end{equation}
Therefore, on the l.h.s. of \eqref{eq:SE_modified_form} there remains to be calculated
\begin{equation}
\braket{\textbf{x},n|\dfrac{\hat{\textbf{P}}^2}{2\mu}|\psi^E},
\end{equation}
where $ \hat{\textbf{P}} $ when written in detail is the operator
\begin{equation}
\hat{\textbf{P}} = \hat{\textbf{P}}^{\text{slow}}\otimes\hat{\textbf{1}}^{\text{fast}}
\end{equation}
\[\mathcal{H}= \mathcal{H}^{\text{slow}}\otimes\mathcal{H}^{\text{fast}}\]
with the basis vectors
\[ 
\ket{\textbf{x},n}=\ket{\textbf{x}}\otimes\ket{n;\textbf{x}}
\]
In here, $ \left\{\ket{\textbf{x}} \right\} $ is the basis system in $ \mathcal{H}^{\text{slow}} $ and $ \left\{\ket{n;\textbf{x}} \right\} $ is a system of normalized (if all quantum numbers $ n $ are discrete) basis vectors in $ \mathcal{H}^{\text{fast}} $ which are eigenvectors, with eigenvalues $ \varepsilon_n(\textbf{x}) $ of an \textbf{x}-dependent operator $ \hat{h}(\textbf{x}) $ that acts only in $ \mathcal{H}^{\text{fast}} $:
\begin{equation}\label{eq:electronic_eigenvalue_problem}
\hat{h}(\textbf{x})\ket{n;\textbf{x}}=\varepsilon_n(\textbf{x})\ket{n;\textbf{x}}.
\end{equation}
Using these expression, we calculate:
\begin{align}
\braket{\textbf{x},n|\hat{\textbf{P}}^2\otimes\mathbb{1}|\psi^E}
&= \braket{\textbf{x},n|\hat{\textbf{P}}^2\otimes\mathbb{1}\sum_m\int \ket{\textbf{x}',m}\braket{\textbf{x}',m|\psi^E} \diff^3 x'} \nonumber \\
&= \braket{n;\textbf{x}|\sum_m\int \ket{m;\textbf{x}'}\braket{\textbf{x}|\hat{\textbf{P}^2}|\textbf{x}'}\braket{\textbf{x}',m|\psi^E} \diff^3 x'} \nonumber \\
&= \braket{n;\textbf{x}|\sum_m\int \ket{m;\textbf{x}'}[-\nabla_x^2\braket{\textbf{x}|\textbf{x}'}]\braket{\textbf{x}',m|\psi^E} \diff^3 x'} \nonumber \\
&=-\braket{n;\textbf{x}|\sum_m \nabla_x^2 \int \ket{m;\textbf{x}'}\delta^3(\textbf{x}-\textbf{x}')\braket{\textbf{x}',m|\psi^E} \diff^3 x'} \nonumber \\
&=-\sum_m \bra{n;\textbf{x}}\nabla_x^2\ket{m;\textbf{x}}\braket{\textbf{x},m|\psi^E}  \label{eq:nuclear_momentum}
\end{align}
where the differentation $ \nabla_x^2 $ applies to both factors to the right of it: $ \bra{m,\textbf{x}} $ and $ \braket{\textbf{x},m|\psi^E} $.

In analogy to \eqref{eq:vector_potential}, we define a "non-Abelian" vector potential
\begin{equation}\label{eq:25a}
\textbf{A}_{nm}(\textbf{x})\equiv i\braket{n;\textbf{x}|(\nabla_x|m;\textbf{x})}
\end{equation}
or the Berry connection form
\begin{equation}\label{eq:Berry_connection}
\tilde{A}_{nm}= i\braket{n;\textbf{x}|(\partial_{x_i}|m;\textbf{x})}\diff x_i
\end{equation}
The $ \textbf{A}_{nm} $ are Hermitian matrices, i.e., they fulfill the condition \sidenote{By $ \overline{\textbf{A}} $ we mean the element wise complex conjugation of $ \textbf{A} $ }
\begin{equation}
\textbf{A}_{nm} = \textbf{A}_{nm}^{\dagger}=\overline{\textbf{A}}_{mn}
\end{equation}
In analogy to the standard convention of a gauge theory, we define the covariant momentum:
\begin{equation}\label{eq:covariant_momentum}
\hat{\pi}_{nm}\equiv\delta_{nm}\hat{\textbf{P}}-\hat{\textbf{A}}_{nm},
\end{equation}
which in the position representation of the slow variables is:
\begin{equation}
\hat{\pi}_{nm}=-\delta_{nm}i\nabla_x-\textbf{A}_{nm}.
\end{equation}
The $ \pi_{nm} $ are also Hermitian matrices whose entries are self-adjoint operators.

By a straightforward calculation, it can be shown that
\begin{align}
-\bra{n;\textbf{x}}\nabla_x^2\ket{m;\textbf{x}}&=\sum_l (-i\delta_{nl}\nabla_x-\textbf{A}_{nl})\cdot (-i\delta_{lm}\nabla_x-\textbf{A}_{lm}) \\
&= \sum_l \pi_{nl}\cdot \pi_{lm}.
\end{align}
Substituting this result into \eqref{eq:nuclear_momentum}, and then substituting \eqref{eq:nuclear_momentum} and \eqref{eq:23a} into \eqref{eq:SE_modified_form}, we find
\begin{equation}
\bra{\textbf{x},n}\hat{H}\ket{\psi^E}=\sum_m \left(\dfrac{1}{2\mu}\sum_l \pi_{nl}\cdot \pi_{lm} +\varepsilon_n(\textbf{x})\delta_{nm} \right) \braket{\textbf{x},m|\psi^E}
\end{equation}
If we define 
\begin{equation}\label{eq:effective_hamiltonian}
H_{nm}^{\text{eff}}(\textbf{x}) \equiv \dfrac{1}{2\mu}\sum_l \pi_{nl}\cdot \pi_{lm} +\varepsilon_n(\textbf{x})\delta_{nm},
\end{equation}
then we can write the above as \sidenote[][0.7cm]{Please note here the slight abuse of notation. For the sake of simplicity we dropped completely the $ \textbf{x} $ dependence of $ H_{nm}^{\text{eff}} $}
\begin{equation}\label{eq:28}
\sum_m H_{nm}^{\text{eff}}\psi_m^E(\textbf{x}) = E \psi_n^E(\textbf{x}).
\end{equation}
The effective Hamiltonian $ H_{nm}^{\text{eff}} $ is a matrix with respect to the basis $ \ket{n;\textbf{x}} $ in
the space $ \mathcal{H}^{\text{fast}} $. 
The matrix elements of $ H_{nm}^{\text{eff}} $ are differential operators, and
Eq. \eqref{eq:28} is a matrix Schr\"odinger equation for the wave function $ \psi_n^E $. This
equation is the eigenvalue Eq. \eqref{eq:eigenvalue_problem} in the position representation of the slow
quantum system.

In the usual Born-Oppenheimer approximation, the $ \textbf{A}_{nm}(\textbf{x}) $ are taken to be
zero. In this case, the covariant momentum becomes the ordinary momentum,
which in the position representation is expressed as $ \pi_{nm}=-i\delta_{nm}\nabla_x $. 
The effective matrix Hamiltonian becomes diagonal:
\begin{equation}\label{eq:29}
H_{nm}^{\text{eff}} = \left[-\dfrac{\nabla_x^2}{2\mu} +\varepsilon_n(\textbf{x}) \right] \delta_{nm}
\end{equation}
The matrix Schrodinger Eq. \eqref{eq:28} will then reduce to the system of uncoupled
Schr\"odinger Eqs. \eqref{eq:nuclear_eq}, one for each value of the fast quantum number $ n $. If $ \varepsilon_{n_0} $
is nondegenerate, then the eigenvector belonging to the eigenvalue $ E_{n,N_0} $ contains only one single electronic state with the quantum number $ n_0 $:
\begin{equation}\label{eq:30}
\braket{\textbf{x},n|\psi^{E_{N,n_0}}}=\braket{\textbf{x},n_0|\psi^{E_{N,n_0}}}\delta_{nn_0}.
\end{equation}
The eigenvalues $ E $ and eigenvectors $ \psi_n^E(\textbf{x}) $ can then be found by considering the
single-value $ n_0 $ of the fast quantum number $ n $. The eigenvalue $ E $ would then be
characterized by $ n_0 $ and other quantum numbers $ N $ whose values label different
solutions of \eqref{eq:nuclear_eq} for the same scalar potential $ \varepsilon_{n_0}(\textbf{x}) $.

Let us now assume that the $ \textbf{A}_{nm} $ in \eqref{eq:covariant_momentum} and \eqref{eq:28} are not zero. Under a gauge
transformation given by
\begin{equation}\label{eq:gauge_transformation_A}
\psi_n^E(\textbf{x})\to {\psi'}_{n'}^E(\textbf{x})=\sum_l U_{n'l}^{\dagger}(\textbf{x})\psi_l^E(\textbf{x})
\end{equation}
the $ \textbf{A}_{nm} $ transform as
\begin{equation}\label{eq:covariant_transform}
{A'}_i = U^{\dagger}A_i U +iU^{\dagger}\partial_i U.
\end{equation}
In general, the eigenvectors $ \ket{\psi^E} $ of $ \hat{H} $ have nonzero components $ \psi_n^E(\textbf{x}) $ for all
values of $ n $. It can be shown that if all values of $ n $ are summed over, a gauge can
be chosen such that $ A_i' = 0 $. To show this, we utilize standard results of non-Abelian gauge theories (which can also be easily derived) .
The curvature (gauge covariant field)  is defined as
\begin{equation}\label{eq:gauge_covariant_curvature}
F_{ij}^{nm} = \partial_i A_j^{nm} - \partial_j A_i^{nm} - [ A_i^{nl},A_j^{lm}] 
\end{equation}
[where the commutator involves a summation over all (in general $ \infty $) values of
the quantum numbers $ I $]. By using the Berry connection \eqref{eq:Berry_connection} in \eqref{eq:gauge_covariant_curvature} and making use of the fact that $ \ket{n;\textbf{x}} $ is a complete basis system of $ \mathcal{H}^{\text{fast}} $, i.e., 
\begin{equation}\label{eq:34}
\sum_{n+1}^{\infty}\ket{n;\textbf{x}}\bra{n;\textbf{x}} = \mathbf{1}^{\text{fast}},
\end{equation}
we find by a straightforward calculation
\begin{equation}\label{eq:zero_curvature}
F_{ij}^{nm}=0.
\end{equation}
From  it follows that \eqref{eq:zero_curvature} is a pure gauge, i.e., it is given by a unitary infinite
matrix in the form
\begin{equation}
A_i^{nm} = -i\sum_l (\partial_i V_{nl}^{-1}(\textbf{x}) )V_{lm}(\textbf{x})=i\sum_l V_{nl}^{-1}(\textbf{x})(\partial_i V_{lm}(\textbf{x})).
\end{equation}
It can be seen immediately that choosing $ U = V^{-1} $ in \eqref{eq:covariant_transform} yields $ A_i '=0 $. It can
be shown by a straightforward calculation starting with the definition \eqref{eq:25a} that
the matrix $ V $ is given by
\begin{equation}
V_nm(\textbf{x})= \braket{n;\textbf{e}_3|m;\textbf{x}},
\end{equation}
where $ \textbf{e}_3 $ is the direction of the space-fixed $ z $-axis or any other fixed direction.

In order that the total wave function \eqref{eq:total_wavefunction} remain unchanged under the gauge
transformation \eqref{eq:gauge_transformation_A}, the electronic wave functions $ \phi_n(\textbf{x},\textbf{r}) $ have to transform according to
\begin{equation}\label{eq:36}
\phi_n(\textbf{x},\textbf{r})\to {\phi'}_{n'}(\textbf{x},\textbf{r})=\sum_l \phi_l(\textbf{x},\textbf{r})U_{ln'}(\textbf{x})
\end{equation}
This means for the basis vectors that 
\begin{equation}
\ket{n;\textbf{x}}\to \ket{n';\textbf{x}'}'\equiv\sum_l\ket{l;\textbf{x}}U_{ln'}(\textbf{x})
\end{equation}
Then, \eqref{eq:total_wavefunction} becomes
\begin{equation}
\psi^E(\textbf{x},\textbf{r})=\sum_{k,n',l}\phi_{k}' U_{kl}^{\dagger}U_{ln'}[\psi']_{n'}^E = \sum_{n'}'\phi_{n'}'(\textbf{x},\textbf{r}){\psi'}_{n'}^E (\textbf{x}). 
\end{equation}
We started out with $ \phi_n(\textbf{x},\textbf{r}) $, which were eigenfunctions of the fast Hamiltonian $ \hat{h}(\textbf{x}) $, i.e., they fulfill \eqref{eq:electronic_eq}. 
The new electronic wave functions $ \phi_{n'}'(\textbf{x},\textbf{r}) $ are, in
general, no longer eigenfunctions of $ \hat{h}(\textbf{x}) $.

Therefore, with the choice of the gauge transformation $ U(\textbf{x}) $ that takes $ \textbf{A} $ into
$ \textbf{A}' = 0 $, we have achieved the following: The first term in \eqref{eq:effective_hamiltonian} is now simple:
\begin{equation}
\dfrac{\pi^2}{2\mu}\to -\dfrac{\nabla_x^2}{2\mu},
\end{equation}
but the second term in \eqref{eq:effective_hamiltonian} has become more complicated:
\begin{equation}
\varepsilon_n(\textbf{x})\delta_{nm}\to \sum_l U_{nl}^{\dagger}(\textbf{x})\varepsilon_l(\textbf{x})U_{lm}(\textbf{x})
\end{equation}
Instead of \eqref{eq:28} we obtain the equation
\begin{equation}\label{eq:38}
\sum_{m'}\left[-\dfrac{\nabla_x^2}{2\mu}\delta_{n'm'}+\sum_{l}U_{n'l}^{\dagger}(\textbf{x})\varepsilon_l(\textbf{x})U_{lm}(\textbf{x}) \right]{\psi'}_{m'}^E(\textbf{x})=E{\psi'}_{n'}^E(\textbf{x}).
\end{equation}
Therefore, the fact that the curvature $ F_{ij}^{nm} $ is zero does not help in the simplification
of the matrix Schr\'odinger equation. In either case \eqref{eq:28} or \eqref{eq:38}, we have to
deal with a $ \dim \mathcal{H}^{\text{fast}} \times \dim \mathcal{H}^{\text{fast}}$ matrix equation. 
Using \eqref{eq:28}, the first term is
complicated but the second term is simple (diagonal). Using \eqref{eq:38}, the first term is
simple (diagonal) and the second term is complicated. There is no transformation
that will lead to the Born-Oppenheimer approximation \eqref{eq:29}.
The basis normally used in the Born-Oppenheimer procedure is a basis of
eigenvectors $ \ket{n;\textbf{x}} $ of $ \hat{h}(\textbf{x}) $, i.e., a basis system that fulfills \eqref{eq:electronic_eigenvalue_problem}. We shall therefore
only allow gauge transformations \eqref{eq:36} that transform from one eigenvector
of $ \hat{h}(x) $ with eigenvalue $ \varepsilon_n(\textbf{x}) $ to another eigenvector of $ \hat{h}(x) $ with the same eigenvalue
$ \varepsilon_n(\textbf{x}) $. If all $ \varepsilon_n $ are nondegenerate for all $ \textbf{x} $, then the allowed gauge transformations
are $ U(1)\times U(1)\times \dots $, $ \dim \mathcal{H}^{fast} $ times. If the potential curve $ \varepsilon_n(\textbf{x}) $
has the degeneracy $ K_n $ (there are $ K_n $ eigenvectors $ \ket{n;\textbf{x}}=\ket{n_a,n_b;\textbf{x}} $ with eigenvalue
$ \varepsilon_n=\varepsilon_{n_a} $ and $ n_b=1,2,\dots,K_n $, then the allowed gauge group is $ U(K_{n_1})\times U(K_{n_2})\times\dots $.

In all applications, the sum in \eqref{eq:20} and \eqref{eq:total_wavefunction} over all electronic quantum numbers
for a particular eigenvalue $ E $ is assumed to be finite. It is usually taken over
a $ K_n $ degenerate subspace (this is called the Born-Huang approximation). The
matrix equation \eqref{eq:28} then reduces to a $ K_n\times K_n $ matrix equation that is invariant
under $ U(K_n) $ gauge transformations. For a single nondegenerate electronic level,
the sum in \eqref{eq:total_wavefunction} reduces to a single term. The matrix Eq. \eqref{eq:28} then reduces to a
single equation that is invariant under $ U(1) $ gauge transformations. This gauge
invariance represents the independence of the physical quantities $ E_{N,n} $ upon the
choice of electronic basis vectors.

For the $ K_n $-dimensional subspace of eigenvectors of $ \hat{h}(\textbf{x}) $ with eigenvalue $ \varepsilon_{n_a}(\textbf{x}) $,
one defines the Berry connection again by \eqref{eq:25a} but with $ n $ and $ m $ now taking the $ K_{n} $ values $ n_b $. The curvature $ F_{ij}^{nm} $ becomes a $ K_n\times K_n $ matrix given by
\begin{equation}
F_{ij}^{nm} = \partial_i A_j^{nm}-\partial_j A_i^{nm} - i\sum_{l=1}^{K_n}\left[A_i^{nl},A_j^{lm}\right]
\end{equation}
where now the summation runs only over the values of the quantum numbers labeling
the basis vectors of the $ K_n $-dimensional eigenspace belonging to $ \varepsilon_{n_a}(\textbf{x}) $.

We now have instead of \eqref{eq:34}
\begin{equation}
\sum_{l=1}^{K_n}\ket{l;\textbf{x}}\bra{l;\textbf{x}}=\Lambda_{\mathcal{H}_{\varepsilon_n}}(\textbf{x}),
\end{equation}
where $ \Lambda_{\mathcal{H}_{\varepsilon_n}} $ is the projection operator on the $ K_n $-dimensional subspace. As
\eqref{eq:34} cannot be used, Eq. \eqref{eq:zero_curvature} no longer holds for the $ F_{ij}^{nm} $. Therefore, the $ K_n $-
dimensional gauge potential, $ \textbf{A}_{nm} $ cannot be made to vanish by $ U(K_n) $ gauge
transformations.

We will first consider the case $ K_n = 1 $, and call $ n_0 $ the value of the electronic
quantum number that is associated with the eigenvalue $ E $. This means that the
wave functions $ \braket{\textbf{x},n|\psi^E} = \psi_n^E(\textbf{x}) $ in \eqref{eq:20} and \eqref{eq:total_wavefunction} fulfill \eqref{eq:30}. Inserting \eqref{eq:30} into
\eqref{eq:28} with \eqref{eq:effective_hamiltonian}, we obtain
\begin{equation}\label{eq:39}
\left[\dfrac{1}{2\mu}\pi_{n_0n_0}(\textbf{x})\cdot \pi_{n_0n_0}(\textbf{x})+ \tilde{\varepsilon}_{n_0}(\textbf{x}) \right]
\psi_{n_0}^E(\textbf{x})= E\psi_{n_0}^E(\textbf{x})
\end{equation}
where we have defined
\begin{equation}
\tilde{\varepsilon}_{n_0}(\textbf{x})=\varepsilon_{n_0}(\textbf{x})+\dfrac{1}{2\mu}\sum_{l\neq n_0}\textbf{A}_{n_0l}(\textbf{x})\cdot \textbf{A}_{n_0l}(\textbf{x}).
\end{equation}
Using
\begin{equation}
\bra{m;\textbf{x}}(\nabla_x\ket{n;\textbf{x}})=-(\nabla_x\bra{m;\textbf{x}})\ket{n;\textbf{x}},
\end{equation}
which follows by taking the gradient of the normalization condition for the $ \ket{n;\textbf{x}} $,
and then removing a complete set of states in $ \mathcal{H}^{\text{fast}} $,  allows $ \tilde{\varepsilon}_{n_0}(\textbf{x}) $ and therefore
the Schr\"odinger Eq. \eqref{eq:39} to be written in a form that includes only the single value
$ n_0 $ of the fast quantum number $ n $:
\begin{equation}\label{eq:41}
\tilde{\varepsilon}_{n_0}(\textbf{x}) = \varepsilon_{n_0}(\textbf{x})+\dfrac{1}{2\mu}(\nabla_x\bra{n_0;\textbf{x}})\cdot (\nabla_x\ket{n_0;\textbf{x}})-\dfrac{1}{2\mu}\textbf{A}_{n_0n_0}(\textbf{x})\cdot \textbf{A}_{n_0n_0}(\textbf{x}).
\end{equation}
We now have an uncoupled Schr\"odinger equation for the eigenvalue $ E $ similar
to the Born-Oppenheimer Eq. \eqref{eq:29}. However, now the slow momentum operator
is not the ordinary momentum $ \hat{\textbf{P}} $, but the covariant momentum $ \hat{\pi} = \hat{\textbf{P}} - \hat{\textbf{A}}_{n_0n_0}$.
Since the curvature
\begin{equation}
F_{ij} = F_{ij}^{n_0n_0}=\partial_i A_j -\partial_j A_i
\end{equation}
is, in general, not zero, there is no transformation by which $ \textbf{A}=\textbf{A}_{n_0n_0} $ can be
gauged away. The new momentum operator fulfills a new commutation relation
\begin{equation}
\left[ \pi_i, \pi_j \right] = iF_{ij}.
\end{equation}

In the case that will be of interest to us in the following section, $ \varepsilon_n(\textbf{x}) $ is doubly
degenerate ($ K_n = 2, \varepsilon_n=\varepsilon_{n_0}=\varepsilon_{n_1} $ with the two states corresponding to electrons
orbiting (or spinning) clockwise and counterclockwise around the internuclear axis (doubly degenerate $ \Lambda $ levels). We now have a $ 2\times 2 $ matrix equation given by
\begin{equation}
\sum_{m = n_0, n_1}\left[ \sum_{l = n_0, n_1} \dfrac{1}{2\mu}\pi_{nl}\cdot \pi_{lm}+\tilde{\varepsilon}_{nm}(\textbf{x}) \right]
\psi_{m}^E(\textbf{x})=E\psi_{n}^E(\textbf{x}),
\end{equation}
where
\begin{equation}
\tilde{\varepsilon}_{nm}(\textbf{x})=\varepsilon_{nm}(\textbf{x})\delta_{nm}+\dfrac{1}{2\mu}\sum_{l\neq n_0,n_1}\textbf{A}_{nl}\cdot \textbf{A}_{lm}.
\end{equation}
We could again do a calculation similar to the one leading to \eqref{eq:41} and express $ \tilde{\varepsilon}_{nm} $,
in terms of the quantum numbers $ n_0 $ and $ n_1 $ of the subspace. The covariant momenta
are now $ 2 \times 2 $ matrices whose commutator gives a nonzero field strength
(curvature). We will evaluate these quantities in the following section for the example
of doubly degenerate $ \Lambda $-levels of diatomic molecules.


